Bug 46933 - Using Java 1.5 in StringManager
Using Java 1.5 in StringManager
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
unspecified
PC Linux
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-03-27 15:34 UTC by Jens Kapitza
Modified: 2009-04-28 09:04 UTC (History)
0 users



Attachments
update method to java 1.5 (4.07 KB, patch)
2009-03-27 15:34 UTC, Jens Kapitza
Details | Diff
do caching the resources like the docu say it (2.94 KB, patch)
2009-04-27 06:21 UTC, Jens Kapitza
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jens Kapitza 2009-03-27 15:34:14 UTC
Created attachment 23424 [details]
update method to java 1.5

Using Java 1.5 in StringManager
Comment 1 Mark Thomas 2009-04-08 04:09:31 UTC
Thanks for the patch. It can actually be even simpler as there is no longer a need to ensure that the args provided are non-null. This was only an issue with very early JVMs.

The patch has been applied to trunk and proposed for 6.0.x
Comment 2 Jens Kapitza 2009-04-08 11:02:11 UTC
applied to trunk
Comment 3 Mark Thomas 2009-04-09 01:49:10 UTC
Bugs are not marked as fixed until they are applied to the appropriate release branch(es)
Comment 4 Jens Kapitza 2009-04-27 06:21:29 UTC
Created attachment 23550 [details]
do caching the resources like the docu say it 

do caching the resources like the docu say it
Comment 5 Mark Thomas 2009-04-28 05:00:41 UTC
Can you create a new bugzilla issue for your second patch please. We try and keep each bugzilla entry to s single problem. Cheers.
Comment 6 Mark Thomas 2009-04-28 06:14:54 UTC
This has been fixed in 6.0.x and will be in 6.0.20 onwards. This issue can be marked as fixed once the second patch is moved to a new bugzilla entry.